Skip to main content
GET
/
employers
/
{public_id}
cURL
curl --request GET \
  --url https://sandbox.withclasp.com/employers/{public_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.withclasp.com/employers/{public_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.withclasp.com/employers/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "legal_name": "<string>",
  "external_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "trade_name": "<string>",
  "phone_number": "<string>",
  "email": "<string>",
  "federal_ein": "<string>",
  "address": {
    "line1": "<string>",
    "city": "<string>",
    "zip_code": "<string>",
    "line2": "<string>"
  },
  "primary_business_unit": "<string>",
  "user_assignments": [
    "<string>"
  ],
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Path Parameters

public_id
string
required

Response

200 - application/json
id
string
required
read-only
Pattern: ^[-a-zA-Z0-9_]+$
Maximum string length: 255
external_id
string
required
Maximum string length: 255
created_at
string<date-time>
required
read-only
trade_name
string | null
Maximum string length: 255
phone_number
string | null
Maximum string length: 10
email
string | null
Maximum string length: 255
federal_ein
string | null
Maximum string length: 255
address
object | null
status
enum<string>
  • not_started - Not Started
  • pending - Pending
  • processing - Processing
  • needs_attention - Needs Attention
  • review - Review
  • completed - Completed
  • inactive - Inactive
Available options:
not_started,
pending,
processing,
needs_attention,
review,
completed,
inactive
primary_business_unit
string
read-only
user_assignments
string[]
metadata
object

Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.